ST_NewEdgeHeal
Prev | 10.6. Topology Editors | Next

## Name

ST_NewEdgeHeal — Heals two edges by deleting the node connecting them, deleting both edges, and replacing them with an edge whose direction is the same as the first edge provided.

## Synopsis

`int ST_NewEdgeHeal(`varchar atopology, integer anedge, integer anotheredge`)`;

## Description

Heals two edges by deleting the node connecting them, deleting both edges, and replacing them with an edge whose direction is the same as the first edge provided. Returns the id of the new edge replacing the healed ones. Updates all existing joined edges and relationships accordingly.

Availability: 2.0

This method implements the SQL/MM specification. SQL-MM: Topo-Geo and Topo-Net 3: Routine Details: X.3.9

## See Also

ST_ModEdgeHeal ST_ModEdgeSplit ST_NewEdgesSplit

Prev | Up | Next
ST_ModEdgeHeal | Home | ST_MoveIsoNode